%define debug_package %{nil}

Summary:	xva-img - Assemble Citrix XEN disk image

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		xva-img
Version:	1.3
Release:	1%{?dist}
URL:		https://github.com/eriklax/xva-img

License:	GPL

Group:		Applications/Forensics Tools
Source:		%{name}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildRequires:	cmake openssl-devel

%description
Citrix Xen uses a custom virtual appliance format for import/export called "XVA". it's basically
a strangely crafted tar-file. You don't need this program to unpack this tar-file, just use
your favourite tar unpacker (tar, gtar, bsdtar). Once unpacked you will end up with a lot of
different files, ova.xml (which contains the settings for the virtual appliance, think VMware
vmx) and a number of folders called Ref:/, this is your disks. Each of these folders contain
hundreds of files named 00000000, 00000001 with a accompanying .CHECKSUM file (SHA1). Each file
is a 1MB slice of the disk, but some of the files in the sequence will probably be missing this is
because XVA do not use compression; instead it will exclude slices of the disk that only contains
zeros (are empty). This tool can assemble the disk for you (you will end up with a RAW disk)
that can easily be mounted and modified. It can then also split the file again and generate
checksum. Once ready, you will probably want to use the "package" command to rebuild the XVA file.

%prep
%setup

%build
mkdir build
cd build
%cmake ..
%{__make}

%install
cd build
%{__install} -Dp -m755 %{name} %{buildroot}%{_bindir}/%{name}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644, root, root, 0755)
%doc CHANGELOG INSTALL LICENSE README.md 
%{_bindir}/%{name}

%changelog
* Wed Jun 12 2019 Lawrence R. Rogers <lrr@cert.org> 1.3-1
* Release 1.3-1
	Initial release
